Bug 225327

Summary: [PATCH] sysutils/rubygem-fluentd: update to 0.12.42
Product: Ports & Packages Reporter: Artyom Davidov <ard_1>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Some People CC: kuriyama, swills
Priority: --- Keywords: patch
Version: LatestFlags: bugzilla: maintainer-feedback? (kuriyama)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch for Makefile
none
distinfo patch
none
patch-gemspec patch
none
Complete patch ard_1: maintainer-approval? (kuriyama)

Description Artyom Davidov 2018-01-19 20:59:54 UTC
Update to 0.12.42
Also adds compatibility with msgpack1.x and support for ruby2.4

Current port version 0.12.14 is broken due to a failed msgpack < 1 dependency.
This patch will fix this.
Comment 1 Artyom Davidov 2018-01-19 21:00:57 UTC
Created attachment 189914 [details]
patch for Makefile
Comment 2 Artyom Davidov 2018-01-19 21:01:35 UTC
Created attachment 189915 [details]
distinfo patch
Comment 3 Artyom Davidov 2018-01-19 21:02:29 UTC
Created attachment 189916 [details]
patch-gemspec patch
Comment 4 Artyom Davidov 2018-01-19 22:16:32 UTC
Created attachment 189920 [details]
Complete patch

Cumulative patch.
This patch replaces 3 separate patches added earlier.
Comment 5 commit-hook freebsd_committer 2018-03-14 14:50:01 UTC
A commit references this bug:

Author: swills
Date: Wed Mar 14 14:49:39 UTC 2018
New revision: 464496
URL: https://svnweb.freebsd.org/changeset/ports/464496

Log:
  sysutils/rubygem-fluentd: update to 0.12.42

  PR:		225327
  Submitted by:	Artyom Davidov <ard_1@mail.ru>
  Approved by:	maintainer timeout (kuriyama, > 7 weeks)

Changes:
  head/sysutils/rubygem-fluentd/Makefile
  head/sysutils/rubygem-fluentd/distinfo
  head/sysutils/rubygem-fluentd/files/patch-gemspec
Comment 6 Steve Wills freebsd_committer 2018-03-14 14:50:46 UTC
Committed, thanks!